<script type="text/javascript" src="<?php echo $urlAssets;?>plugin/daterangepicker/moment.js"></script>
<script type="text/javascript" src="<?php echo $urlAssets;?>plugin/daterangepicker/daterangepicker.js"></script>
<link rel="stylesheet" media="all" type="text/css" href="<?php echo $urlAssets;?>plugin/daterangepicker/daterangepicker.css" />

<?php echo $header;?>

<?php if ($error):?>
    <div class="alert alert-danger alert-dismissible">
        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
        <?php echo $error;?>
    </div>
<?php else:?>
    <div class="panel-table panel panel-default">
        <div class="panel-heading">
            <div class="row">
                <div class="col col-xs-6">
                    <h3 class="panel-title"><a href="<?php echo $pagelink;?>" class="btn-link"><?php echo $lang->out("page_report_title");?></a></h3>
                </div>
                <div class="col col-xs-6 text-right">
                </div>
            </div>
        </div>

        <div class="panel-heading">
            <div class="row">
                <div class="col-md-8 col-sm-12">
                    <div class="panel-table-paginate pull-left">
                        <div class="panel-table-paginate-buttons">
                            <div class="pagination-panel">
                                <?php echo $pagination;?>
                            </div>
                        </div>
                        <div class="panel-table-paginate-select">
                            <label>
                                <select name="limit" class="form-control input-xs input-sm input-inline">
                                    <?php foreach(array(20,40,60,80,100) as $limitvalue):?>
                                        <option value="<?php echo $limitvalue;?>" <?php if ($limit === $limitvalue): echo ' selected';endif;?>><?php echo $limitvalue;?></option>
                                    <?php endforeach;?>
                                </select>
                            </label>
                        </div>

                        <div class="panel-table-paginate-info">
                            <span class="small"><?php echo $lang->out("tpl_list_paginate_total");?> <?php echo $total;?> <?php echo $lang->out("tpl_list_paginate_record");?></span>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 col-sm-12">
                    <div class="pull-right text-right">
                        <a href="https://user.mobilpark.biz" target="_blank" class="btn btn-default btn-sm">
                            <?php echo $lang->out("page_report_btn_sms_detail");?>
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-striped table-bordered table-hover table-condensed font-size-90 table-addon">
                    <thead>
                    <tr>
                        <th class="hidden-sm">ID</th>
                        <th style="width: 200px;min-width: 150px;" class="hidden-sm"><?php echo $lang->out("page_report_row_action");?></th>
                        <th style="width: 100px;min-width: 90px;"><?php echo $lang->out("page_report_row_type");?></th>
                        <th style="width: 100px;min-width: 90px;"><?php echo $lang->out("page_report_row_operator");?></th>
                        <th style="width: 200px;min-width: 150px;"><?php echo $lang->out("page_report_row_user");?></th>
                        <th style="width: 100px;min-width: 90px;" class="hidden-sm"><?php echo $lang->out("page_report_row_recipients");?></th>
                        <th style="width: 350px;min-width: 250px;"><?php echo $lang->out("page_report_row_message");?></th>
                        <th style="width: 100px;min-width: 95px;"><?php echo $lang->out("page_report_row_status");?></th>
                        <th style="width:140px;min-width: 85px;" class="hidden-sm"><?php echo $lang->out("page_report_row_date");?></th>
                        <th style="min-width:85px;"></th>
                    </tr>
                    <tr role="row">
                        <td class="hidden-sm">
                            <form action="addonmodules.php" method="get" id="filterform">
                                <input type="hidden" name="route" value="<?php echo $route;?>">
                                <input type="hidden" name="module" value="<?php echo $modulename;?>">
                                <input type="hidden" name="limit" id="limit" value="<?php echo $limit;?>">
                            </form>
                        </td>

                        <td class="hidden-sm">
                            <select name="f_action" class="form-control input-sm" form="filterform">
                                <option><?php echo $lang->out("tpl_form_select_all");?></option>
                                <?php foreach($actions as $action):?>
                                    <option value="<?php echo $action->value;?>"<?php if (isset($f_action) && $f_action == $action->value):?> selected<?php endif;?>><?php echo $action->value;?></option>
                                <?php endforeach;?>
                            </select>
                        </td>

                        <td>
                            <select name="f_type" class="form-control input-sm" form="filterform">
                                <option><?php echo $lang->out("tpl_form_select_all");?></option>
                                <option value="client"<?php if (isset($f_type) && $f_type == "client"):?> selected<?php endif;?>><?php echo $lang->out("tpl_form_select_customer");?></option>
                                <option value="admin"<?php if (isset($f_type) && $f_type == "admin"):?> selected<?php endif;?>>Admin</option>
                            </select>
                        </td>
                        <td>
                            <select name="f_operator" class="form-control input-sm" form="filterform">
                                <option><?php echo $lang->out("tpl_form_select_all");?></option>
                                <option value="hook"<?php if (isset($f_operator) && $f_operator == "hook"):?> selected<?php endif;?>>Hook</option>
                                <option value="cron"<?php if (isset($f_operator) && $f_operator == "cron"):?> selected<?php endif;?>>Cron</option>
                                <option value="manuel"<?php if (isset($f_operator) && $f_operator == "manuel"):?> selected<?php endif;?>>Manuel</option>
                            </select>
                        </td>

                        <td>
                            <input type="text" name="f_client" class="form-control input-sm margin-bottom-5" form="filterform" value="<?php if (isset($f_client)) echo $f_client;?>" placeholder="Customer ID">
                        </td>

                        <td class="hidden-sm"></td>
                        <td></td>
                        <td>
                            <select name="f_status" class="form-control input-sm" form="filterform">
                                <option><?php echo $lang->out("tpl_form_select_all");?></option>
                                <option value="1"<?php if (isset($f_status) && $f_status == "1"):?> selected<?php endif;?>><?php echo $lang->out("tpl_form_select_success");?></option>
                                <option value="0"<?php if (isset($f_status) && $f_status == "0"):?> selected<?php endif;?>><?php echo $lang->out("tpl_form_select_failed");?></option>
                            </select>
                        </td>

                        <td class="hidden-sm">
                            <input type="text" value="<?php if (isset($f_datestart)): echo $f_datestart;endif;?><?php if (isset($f_dateend)): echo ' - ', $f_dateend;endif;?>" placeholder="Date ~" class="form-control input-sm" id="fdaterangepick" form="filterform">
                            <input type="hidden" name="f_datestart" value="<?php if (isset($f_datestart)) echo $f_datestart;?>" class="form-control" id="fdaterangepickstart" form="filterform">
                            <input type="hidden" name="f_dateend" value="<?php if (isset($f_dateend)) echo $f_dateend;?>" class="form-control" id="fdaterangepickend" form="filterform">
                        </td>

                        <td style="width:80px;">
                            <button type="submit" onclick="document.getElementById('filterform').submit();" class="btn btn-default btn-sm"><i class="fa fa-search" style="color:green;"></i></button>
                            <button type="button" onclick="window.location='<?php echo $urlPage;?>'" class="btn btn-default btn-sm"><i class="fa fa-undo" style="color:#e7505a;"></i></button>
                        </td>
                    </tr>
                    </thead>
                    <tbody>
                    <?php foreach($messages as $index => $message): ?>
                        <tr>
                            <td class="hidden-sm"><?php echo $message->id;?></td>
                            <td class="hidden-sm"><?php echo $message->action;?></td>

                            <td>
                                <?php if($message->type == "client"):?>
                                    <span class="label label-primary"><?php echo $message->type;?></span>
                                <?php elseif($message->type == "admin"):?>
                                    <span class="label label-danger"><?php echo $message->type;?></span>
                                <?php endif;?>
                            </td>

                            <td>
                                <?php if($message->operator == "hook"):?>
                                    <span class="label label-primary"><?php echo $message->operator;?></span>
                                <?php elseif($message->operator == "manuel"):?>
                                    <span class="label label-warning"><?php echo $message->operator;?></span>
                                <?php elseif($message->operator == "cron"):?>
                                    <span class="label label-danger"><?php echo $message->operator;?></span>
                                <?php endif;?>
                            </td>

                            <td>
                                <?php if($message->type == "client" && $message->userid > 0):?>
                                    <a href="clientssummary.php?userid=<?php echo $message->userid;?>" target="_blank"><?php echo $message->fullname;?></a>
                                <?php endif;?>
                            </td>

                            <td class="hidden-sm"><?php echo $message->recipients;?></td>
                            <td><?php echo $message->message;?></td>
                            <td>
                                <?php if($message->status == 0):?>
                                    <span class="label label-default"><?php echo $lang->out("tpl_list_failed");?></span>
                                <?php else:?>
                                    <span class="label label-success"><?php echo $lang->out("tpl_list_success");?></span>
                                <?php endif;?>
                            </td>
                            <td class="hidden-sm"><?php echo $message->created_at;?><br/><?php echo $schema->created_at;?></td>
                            <td></td>
                        </tr>
                    <?php endforeach;?>
                    <?php if(1 > count($messages)):?>
                        <tr><td colspan="7"><strong><u><?php echo $lang->out("tpl_list_not_found");?></u></strong></td></tr>
                    <?php endif;?>
                    </tbody>
                </table>
            </div>
        </div>

        <div class="panel-footer">
            <div class="row">
                <div class="col-md-8 col-sm-12">
                    <div class="panel-table-paginate pull-left">
                        <div class="panel-table-paginate-buttons">
                            <div class="pagination-panel">
                                <?php echo $pagination;?>
                            </div>
                        </div>
                        <div class="panel-table-paginate-select">
                            <label>
                                <select name="limit" class="form-control input-xs input-sm input-inline">
                                    <?php foreach(array(20,40,60,80,100) as $limitvalue):?>
                                        <option value="<?php echo $limitvalue;?>" <?php if ($limit === $limitvalue): echo ' selected';endif;?>><?php echo $limitvalue;?></option>
                                    <?php endforeach;?>
                                </select>
                            </label>
                        </div>

                        <div class="panel-table-paginate-info">
                            <span class="small"><?php echo $lang->out("tpl_list_paginate_total");?> <?php echo $total;?> <?php echo $lang->out("tpl_list_paginate_record");?></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif;?>

<?php echo $footer;?>

<script>
    jQuery(document).ready(function()
    {
        /*#############################################################################################*/
        jQuery('[name="limit"]').change(function(){
            jQuery('#limit').val(this.value);
            jQuery('#filterform').submit();
        });

        /*#############################################################################################*/
        var fdaterangepick = jQuery('input#fdaterangepick'),
            fdaterangepickstart = jQuery('#fdaterangepickstart');
            fdaterangepickend = jQuery('#fdaterangepickend');

        fdaterangepick.daterangepicker({
            alwaysShowCalendars : true,
            autoUpdateInput : false,
            opens : "left",
            showDropdowns : true,
            locale: {
                format: 'YYYY-MM-DD'
            },
            ranges : {
                'Today':[moment(), moment()],
                'Yesterday':[moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Last 7 Day':[moment().subtract(6, 'days'), moment()],
                'Last 30 Day':[moment().subtract(29, 'days'), moment()],
                'This Month':[moment().startOf('month'), moment().endOf('month')],
                'Last Month':[moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            }
        });

        fdaterangepick.on('apply.daterangepicker', function(ev, picker) {
            fdaterangepick.val(picker.startDate.format(picker.locale.format) + ' ~ ' + picker.endDate.format(picker.locale.format));
            fdaterangepickstart.val(picker.startDate.format(picker.locale.format));
            fdaterangepickend.val(picker.endDate.format(picker.locale.format));
        });

        fdaterangepick.on('cancel.daterangepicker', function() {
            fdaterangepick.val('');
            fdaterangepickstart.val('');
            fdaterangepickend.val('');
        });

        /*#############################################################################################*/
    });
</script>































