<style>
    #accountTable tbody > tr > th {
        width:150px;
    }
    .col-center-block {
        float: none;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
</style>
<?php echo $header;?>

<?php if ($error):?>
    <div class="alert alert-danger alert-dismissible">
        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
        <?php echo $error;?>
    </div>
<?php else:?>
    <div class="container">
        <div class="row">
            <div class="col-sm-8 col-center-block">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <strong>Company Info</strong>
                    </div>
                    <div class="panel-body">
                        <table id="accountTable" class="table table-responsive table-bordered">
                            <tbody>
                                <?php foreach ($account as $name => $value):?>
                                    <?php if(empty($value)):?>
                                        <?php continue;?>
                                    <?php endif;?>
                                    <tr>
                                        <th><?php echo ucfirst($name);?></th>
                                        <td><?php echo $value;?></td>
                                    </tr>
                                <?php endforeach;?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif;?>

<?php echo $footer;?>

