<style>
</style>
<?php echo $header;?>

<?php if ($error):?>
    <div class="alert alert-danger alert-dismissible">
        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
        <?php echo $error;?>
    </div>
<?php else:?>
    <div class="panel-table panel panel-default">
    <div class="panel-heading">
        <div class="row">
            <div class="col col-xs-6">
                <h3 class="panel-title"><a href="<?php echo $pagelink;?>" class="btn-link"><?php echo $lang->out("page_schema_title");?></a></h3>
            </div>
            <div class="col col-xs-6 text-right">
                <!--<button type="button" class="btn btn-default btn-sm" data-toggle="modal" data-target="#target_modal_id">Tanımla</button>-->
            </div>
        </div>
    </div>

    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped table-bordered table-hover table-condensed font-size-90 table-addon">
                <thead>
                    <tr>
                        <th><?php echo $lang->out("page_schema_row_event");?></th>
                        <th style="min-width: 90px;"><?php echo $lang->out("page_schema_row_type");?></th>
                        <th style="min-width: 100px;"><?php echo $lang->out("page_schema_row_operator");?></th>
                        <th style="max-width: 350px;"><?php echo $lang->out("page_schema_row_schema");?></th>
                        <th><?php echo $lang->out("page_schema_row_variables");?></th>
                        <th style="min-width: 80px;"><?php echo $lang->out("page_schema_row_status");?></th>
                        <th style="min-width: 145px;"><?php echo $lang->out("page_schema_row_addupdate");?></th>
                        <th style="min-width:85px;"></th>
                    </tr>
                    <tr role="row">
                        <td>
                            <form action="addonmodules.php" method="get" id="filterform">
                                <input type="hidden" name="route" value="<?php echo $route;?>">
                                <input type="hidden" name="module" value="<?php echo $modulename;?>">
                            </form>
                        </td>
                        <td>
                            <select name="f_type" class="form-control input-sm" form="filterform">
                                <option value=""><?php echo $lang->out("tpl_form_select_all");?></option>
                                <option value="client"<?php if (isset($f_type) && $f_type == "client"):?> selected<?php endif;?>><?php echo $lang->out("tpl_form_select_customer");?></option>
                                <option value="admin"<?php if (isset($f_type) && $f_type == "admin"):?> selected<?php endif;?>>Admin</option>
                            </select>
                        </td>
                        <td>
                            <select name="f_operator" class="form-control input-sm" form="filterform">
                                <option value=""><?php echo $lang->out("tpl_form_select_all");?></option>
                                <option value="hook"<?php if (isset($f_operator) && $f_operator == "hook"):?> selected<?php endif;?>>Hook</option>
                                <option value="cron"<?php if (isset($f_operator) && $f_operator == "cron"):?> selected<?php endif;?>>Cron</option>
                            </select>
                        </td>
                        <td></td>
                        <td></td>
                        <td>
                            <select name="f_status" class="form-control input-sm" form="filterform">
                                <option value=""><?php echo $lang->out("tpl_form_select_all");?></option>
                                <option value="1"<?php if (isset($f_status) && $f_status == "1"):?> selected<?php endif;?>><?php echo $lang->out("tpl_form_select_disable");?></option>
                                <option value="0"<?php if (isset($f_status) && $f_status == "0"):?> selected<?php endif;?>><?php echo $lang->out("tpl_form_select_enable");?></option>
                            </select>
                        </td>

                        <td></td>
                        <td style="width:80px;">
                            <button type="submit" onclick="document.getElementById('filterform').submit();" class="btn btn-default btn-sm"><i class="fa fa-search" style="color:green;"></i></button>
                            <button type="button" onclick="window.location='<?php echo $urlPage;?>'" class="btn btn-default btn-sm"><i class="fa fa-undo" style="color:#e7505a;"></i></button>
                        </td>
                    </tr>
                </thead>
                <tbody>
                <?php foreach($schemes as $index => $schema): ?>
                    <tr>
                        <td style="text-align: left;"><?php echo $schema->alias;?></td>

                        <td>
                            <?php if($schema->type == "client"):?>
                                <span class="label label-primary"><?php echo $schema->type;?></span>
                            <?php elseif($schema->type == "admin"):?>
                                <span class="label label-danger"><?php echo $schema->type;?></span>
                            <?php endif;?>
                        </td>

                        <td>
                            <?php if($schema->operator == "hook"):?>
                                <span class="label label-primary"><?php echo $schema->operator;?></span>
                            <?php elseif($schema->operator == "cron"):?>
                                <span class="label label-danger"><?php echo $schema->operator;?></span>
                            <?php endif;?>
                        </td>
                        <td><?php echo $schema->pattern;?></td>
                        <td><?php echo $schema->variables;?></td>
                        <td>
                            <?php if($schema->status == 0):?>
                                <span class="label label-default"><?php echo $lang->out("tpl_list_disabled");?></span>
                            <?php else:?>
                                <span class="label label-success"><?php echo $lang->out("tpl_list_enabled");?></span>
                            <?php endif;?>
                        </td>
                        <td>
                            <?php echo $schema->created_at;?><br/><?php echo $schema->updated_at;?>
                        </td>
                        <td>
                            <button type="button" data-id="<?php echo $schema->id;?>" data-token="<?php echo $schematoken;?>" data-toggle="modal" data-target="#editSchemaModal" class="btn btn-default btn-sm"><?php echo $lang->out("tpl_btn_edit");?></button>
                        </td>
                    </tr>
                <?php endforeach;?>
                <?php if(1 > count($schemes)):?>
                    <tr><td colspan="7"><strong><u><?php echo $lang->out("tpl_list_not_found");?></u></strong></td></tr>
                <?php endif;?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php endif;?>

<?php echo $footer;?>

<!-- İşlemler !-->
<div class="modal fade" id="editSchemaModal" tabindex="-1" role="dialog" aria-hidden="true" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" style="font-size:30px;" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title" id="editSchemaModalLabel"><?php echo $lang->out("page_schema_edit_modal_title");?>&nbsp;<i class="fa fa-sync fa-spin hide"></i></h4>
            </div>

            <form class="form-horizontal" onsubmit="return false;" id="editSchemaModalForm">
                <div class="modal-body">
                    <div style="display:none;" data-id="info"></div>
                    <div id="editSchemaModalFormFields"></div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger"><?php echo $lang->out("tpl_btn_save");?></button>
                    <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo $lang->out("tpl_btn_close");?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    (function ()
    {
        var obj = this;

        this.url = {};
        this.url.admin = "<?php echo $urlAdmin;?>";
        this.url.getSchemaEditableFields = this.url.admin + "&route=admin_schema_getforedit";
        this.url.getSchemaEditForm = this.url.admin + "&route=admin_schema_edit";

        this.modal = {};
        this.modal.self = jQuery("#editSchemaModal");
        this.modal.load = this.modal.self.find('i.fa-spin');
        this.modal.info = this.modal.self.find('[data-id="info"]');
        this.modal.formFields = jQuery('#editSchemaModalFormFields');

        this.schemaEditForm = {};
        this.schemaEditForm.self = this.modal.self.find("#editSchemaModalForm");

        this.modal.self.on('hide.bs.modal', function(e) {
            obj.modal.formFields.empty();
            obj.modal.info.removeClass().empty().hide();
            obj.modal.load.removeClass('hide');
        });

        this.modal.self.on('shown.bs.modal', function(e)  {
            obj.getSchemaEditableFields(e);
        });

        this.schemaEditForm.self.submit(function() {
            jQuery.post({
                url:obj.url.getSchemaEditForm,
                data:jQuery(obj.schemaEditForm.self).serialize(),
                beforeSend:function() {
                    obj.modal.load.removeClass('hide');
                }
            })
            .done(function(response){
                try {
                    response = jQuery.parseJSON(response);

                    if (response.status === 'error') {
                        obj.modal.info.removeClass().addClass('alert alert-danger').empty().html(response.result).show();
                    } else {
                        obj.modal.info.removeClass().addClass('alert alert-success').empty().html(response.result).show();
                        setTimeout(function() {
                            location.reload();
                        }, 250);
                    }
                } catch(parseError) {
                    console.log(response);
                    console.error(parseError);
                }
            })
            .fail(function(jqXHR, textStatus, errorThrown) {
                console.error(textStatus);
                console.error(errorThrown);
            })
            .always(function() {
                obj.modal.load.addClass('hide');
            });
        });

        this.getSchemaEditableFields = function(e)
        {
            jQuery.post({
                url: obj.url.getSchemaEditableFields,
                data:{id:e.relatedTarget.dataset.id, schematoken:e.relatedTarget.dataset.token},
                beforeSend:function(){
                    obj.modal.load.removeClass('hide');
                }
            })
                .done(function(response) {
                    try {
                        response = jQuery.parseJSON(response);

                        if (response.status === 'error') {
                            obj.modal.info.removeClass().addClass('alert alert-danger').empty().html(response.result).show();
                        } else {
                            obj.modal.formFields.empty().html(response.result);
                        }
                    } catch(parseError) {
                        console.log(response);
                        console.error(parseError);
                    }
                })
                .fail(function(jqXHR, textStatus, errorThrown) {
                    console.error(textStatus);
                    console.error(errorThrown);
                })
                .always(function(){
                    obj.modal.load.addClass('hide');
                });
        };
    })();
</script>